Warning: Use of undefined constant _FILE_ - assumed '_FILE_' (this will throw an Error in a future version of PHP) in /membri/eeepc901/blog/wp-content/plugins/easygravatars/easygravatars.php on line 14
NixOS 19.09 | Blog di eeepc901
Crea sito
RSS

NixOS 19.09

30 Ottobre 2019

NixOS

NixOS

NixOS è una distribuzione GNU/Linux indipendente che aspira a migliorare il sistema di configurazione. In NixOS, tutto il sistema operativo è costruito col package manager Nix. Nix memorizza tutt i pacchetti in isolamento dagli altri perciò non ci sono le direcotry /bin, /sbin, /lib o /usr e tutti i pacchetti sono dentro /nix/store.

Versione 19.09

Questa versione contiene (in Inglese):

 

  • End of support is planned for end of April 2020, handing over to 20.03.
  • Nix has been updated to 2.3; see its release notes.
  • Core version changes:

    systemd: 239 -> 243

    gcc: 7 -> 8

    glibc: 2.27 (unchanged)

    linux: 4.19 LTS (unchanged)

    openssl: 1.0 -> 1.1

  • Desktop version changes:

    plasma5: 5.14 -> 5.16

    gnome3: 3.30 -> 3.32

  • PHP now defaults to PHP 7.3, updated from 7.2.
  • PHP 7.1 is no longer supported due to upstream not supporting this version for the entire lifecycle of the 19.09 release.
  • The binfmt module is now easier to use. Additional systems can be added through boot.binfmt.emulatedSystems. For instance, boot.binfmt.emulatedSystems = [
    "wasm32-wasi" "x86_64-windows" "aarch64-linux" ];
    will set up binfmt interpreters for each of those listed systems.
  • The installer now uses a less privileged nixos user whereas before we logged in as root. To gain root privileges use sudo -i without a password.
  • We’ve updated to Xfce 4.14, which brings a new module services.xserver.desktopManager.xfce4-14. If you’d like to upgrade, please switch from the services.xserver.desktopManager.xfce module as it will be deprecated in a future release. They’re incompatibilities with the current Xfce module; it doesn’t support thunarPlugins and it isn’t recommended to use services.xserver.desktopManager.xfce and services.xserver.desktopManager.xfce4-14 simultaneously or to downgrade from Xfce 4.14 after upgrading.
  • The GNOME 3 desktop manager module sports an interface to enable/disable core services, applications, and optional GNOME packages like games.

    This can be achieved with the following options which the desktop manager default enables, excluding games.

    With these options we hope to give users finer grained control over their systems. Prior to this change you’d either have to manually disable options or use environment.gnome3.excludePackages which only excluded the optional applications. environment.gnome3.excludePackages is now unguarded, it can exclude any package installed with environment.systemPackages in the GNOME 3 module.

  • Orthogonal to the previous changes to the GNOME 3 desktop manager module, we’ve updated all default services and applications to match as close as possible to a default reference GNOME 3 experience.

 

Risorse

La distribuzione può essere scaricata da:

Il sito web della distribuzione è: http://nixos.org/

Screenshot

Nixos 16.09

Nixos 16.09

Conclusioni

Ci sono alcune incompatibilità note dal passaggio dalla versione precedente

 

Subscribe

Subscribe to our e-mail newsletter to receive updates.

No comments yet.

Leave a Reply